abbr element broken in IE 6
Closed, DeclinedPublic

Description

The abbr element (used in MediaWiki since r54241 and r54242) cannot be styled in IE 6 because IE 6 does not know about it and therefore treats it like all unknown tags: It adds two void elements to the DOM, one with the tag name "abbr" and another one with the tag name "/abbr" (sic).

This can be fixed using the technique described at http://intertwingly.net/blog/2008/01/22/Best-Standards-Support#c1201006277, possibly inside a conditional comment and only for IE 6; IE >= 7 supports the abbr element natively.


Version: unspecified
Severity: enhancement
Whiteboard: aklapper-moreinfo

Entlinkt created this task.Via LegacyAug 13 2010, 10:49 AM
Entlinkt added a comment.Via ConduitSep 7 2010, 7:54 PM

Created attachment 7674
Proposed fix

This should fix it. I also had to change wikibits.js because the check for ie6_bugs was broken since r65774.

attachment 24778.diff ignored as obsolete

Entlinkt added a comment.Via ConduitSep 7 2010, 10:56 PM

Created attachment 7677
Testcase

Please note that this hack works only if it is executed before any unknown elements (see testcase). Is that still the case with ResourceLoader? r72349 is unclear to me ("all JS is now loaded at the bottom" - bottom of what?).

Attached: unknown.html

Entlinkt added a comment.Via ConduitSep 14 2010, 2:07 AM

Comment on attachment 7674
Proposed fix

"At the bottom" apparently means "immediately before the closing </body> tag. That is too late, IE has already misparsed everything at that point.

Reported Bug 25167 about the ie6_bugs breakage.

Peachey88 added a comment.Via ConduitApr 30 2011, 12:10 AM

*Bulk BZ Change: +Patch to open bugs with patches attached that are missing the keyword*

Krinkle added a comment.Via ConduitJun 6 2011, 5:07 PM

(In reply to comment #3)

"At the bottom" apparently means "immediately before the closing </body> tag.
That is too late, IE has already misparsed everything at that point.

That's right. However as of ResourceLoader 2 there is a "position" property available in the module registry. Those registered as "top" will be loaded in the <head>.

We could either turn this property in the IEFixes-module or create a seperate module for "top" things. Given the small size of the module, I think we can just swap this module to the top and add the abbr-creation fix to it.

Krinkle added a comment.Via ConduitJun 6 2011, 5:09 PM

Hm.. it's not loaded as a module, it's loaded from wikibits.js (which is loaded from the bottom)...

Krinkle added a comment.Via ConduitJul 28 2011, 12:07 AM

1.17 has passed, moving to 2.0

bzimport added a comment.Via ConduitNov 9 2011, 8:12 PM

sumanah wrote:

Removed the "patch" keyword since there's no longer a patch here to review.

entlinkt@gmx-topmail.de, can you still reproduce this issue?

Aklapper added a comment.Via ConduitSep 20 2012, 1:55 PM

entlinkt@, do you still see this problem?

hashar added a comment.Via ConduitNov 18 2012, 2:11 PM

I would simply wontfix that bug. It is a really minor issue and only affect IE6 which is quiet a old browser. According to our compatibility chart at http://www.mediawiki.org/wiki/Compatibility#Browser IE6 is no more eligible to get everything fixed.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.